3 Replies Latest reply on Dec 8, 2015 1:37 PM by ivanu_intel

    Intel HD 4600 update problem

    Badgamer

      Hello guys i got a problem my Intel HD 4600's driver is very outdated.. (2013 version). When i try to update it i get an error saying : Your computer does not meet the minimum requirement for installing the software. : How do i update it ??? The latest version is from 2015.. I also tried to update with the drivers update utillity program but it doesnt find any drivers Please help!!!

        • 1. Re: Intel HD 4600 update problem
          bimbonium

          You should check if your system meets the minimum requirements of the driver you want to install. If it does you're probably getting this error because you're using the stock driver, you should Uninstall it before you attempt to use the generic drivers (the one you'll see here). You might have to Uninstall more than once to install the generic once tho.

          • 2. Re: Intel HD 4600 update problem
            Badgamer

            I uninstalled it and tried to install it again and it still gives me the same error :/ Looks like i dont have the minimum requirements.. ? If i dont what driver should i install for my HD 4600.. i dont want it to stay with driver version 2013..

            • 3. Re: Intel HD 4600 update problem
              ivanu_intel

              Hi Badgamer ,

               

              You will be able to find the proper driver from your system manufacturer website, please see the following link:

              Computer Manufacturer Support

               

              Intel provides generic versions of drivers for general purposes. Your computer manufacturer may have altered the features, incorporated customizations, or made other changes to your driver. Intel recommends you contact your computer manufacturer for the latest system specific updates and technical support information.

               

              Thanks,